# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(WWW/Search.pm) perl(WWW/SearchResult.pm)
# END SourceDeps(oneline)
%define module_version 1.0
%define module_name WWW-Search-PRWire
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: class for viewing latest Press Releases 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JS/JSMYSER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Class for WWW::Search for fetching and parsing latest PRWire news 
headlines. http://www.prnewswire.com. This code should
serve as an example of using WWW::Search to parse useful data
from pages other than its usual searching methods. Yes, WWW::Search
is useful for retrieving data when there is "next" pages to get and
yet, no search interface to interact with. 
See USAGE.

This class exports no public interface; all interaction should
be done through WWW::Search objects.


%prep
%setup -n work
# depth is > 1 .. moving up
pushd "PRWIRE"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/W*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- initial import by package builder

